Subject: bug#46552: 27.1; image-mode should not move current point

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 16 Feb 2021 18:41:40 +0100

Eli Zaretskii <[email-masked]> writes:

> If the user moves point, there won't be any reason to be surprised
> that commands which need point on the image don't work.  Right?
>
> IOW, from the user's POV, the image is a single "cell" on display, so
> any forward movement of point ends up _after_ the image, where the
> commands like '+' aren't supposed to work.

I think that sounds quite surprising.  There's nothing much to do in an
image-mode buffer than interact with the image, and this makes
interaction not work.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no